<template>
  <header class="w-full bg-lime-800 py-4 px-8">
    <div class="flex mx-auto items-center justify-between">
      <a class="flex text-white text-xl font-bold" href="/">
        <img class="w-12 m-0" :src="'/assets/img/logo.png'" alt="logo">
        <span class="h-fit my-auto ml-4">
          E-Archive
        </span>
      </a>
      <nav>
        <!-- <ul class="flex space-x-4">
          <li><a class="text-white" href="/">Home</a></li>
          <li><a class="text-white" href="/about">About</a></li>
          <li><a class="text-white" href="/contact">Contact</a></li>
        </ul> -->
      </nav>

      <button @click="logout" class="bg-red-500 text-white px-4 py-2 rounded hover:bg-red-600">
        <Icon :name="'octicon:sign-out'" />
        Logout
      </button>
    </div>
  </header>
</template>

<script lang="ts">
export default {
  methods: {
    logout() {
      localStorage.removeItem("access_token");
      this.$router.push("/login"); // Replace '/login' with your login or home page URL
    },
  },
};
</script>
